de.esprit.netsuite.server.config

## Interface ServerConfigFile

- All Known Implementing Classes:
    TaskHistoryWriter

      public interface ServerConfigFile

  This interface defines the names of the servers configuration files
  Author:
    Rainer Buesch

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `BATCH_TASK_HISTORY_FILENAME`
    `static java.lang.String` | `BATCHTASK`
    `static java.lang.String` | `CREDENTIAL_EMB`
    `static java.lang.String` | `CREDENTIAL_NET`
    `static java.lang.String` | `DATASOURCE`
    `static java.lang.String` | `GROUP`
    `static java.lang.String` | `MEMBER`
    `static java.lang.String` | `NETWORK`
    `static java.lang.String` | `PARAM`
    `static java.lang.String` | `PERMISSION`
    `static java.lang.String` | `REMOTE_TASK_HISTORY_FILENAME`
    `static java.lang.String` | `STARTUP`
    `static java.lang.String` | `USER`

- - ### Field Detail

    - #### STARTUP

          static final java.lang.String STARTUP

      See Also:
        Constant Field Values

    - #### PARAM

          static final java.lang.String PARAM

      See Also:
        Constant Field Values

    - #### USER

          static final java.lang.String USER

      See Also:
        Constant Field Values

    - #### GROUP

          static final java.lang.String GROUP

      See Also:
        Constant Field Values

    - #### MEMBER

          static final java.lang.String MEMBER

      See Also:
        Constant Field Values

    - #### NETWORK

          static final java.lang.String NETWORK

      See Also:
        Constant Field Values

    - #### DATASOURCE

          static final java.lang.String DATASOURCE

      See Also:
        Constant Field Values

    - #### BATCHTASK

          static final java.lang.String BATCHTASK

      See Also:
        Constant Field Values

    - #### PERMISSION

          static final java.lang.String PERMISSION

      See Also:
        Constant Field Values

    - #### CREDENTIAL_EMB

          static final java.lang.String CREDENTIAL_EMB

      See Also:
        Constant Field Values

    - #### CREDENTIAL_NET

          static final java.lang.String CREDENTIAL_NET

      See Also:
        Constant Field Values

    - #### REMOTE_TASK_HISTORY_FILENAME

          static final java.lang.String REMOTE_TASK_HISTORY_FILENAME

      See Also:
        Constant Field Values

    - #### BATCH_TASK_HISTORY_FILENAME

          static final java.lang.String BATCH_TASK_HISTORY_FILENAME

      See Also:
        Constant Field Values

Copyright © 2014 EsprIT-Systems. All Rights Reserved.